org.apache.poi.xssf.binary

## Enum XSSFBRecordType

- java.lang.Object
- - java.lang.Enum<XSSFBRecordType>
  - - org.apache.poi.xssf.binary.XSSFBRecordType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XSSFBRecordType>

      @Internal
      public enum XSSFBRecordType
      extends java.lang.Enum<XSSFBRecordType>

  Since:
    3.16-beta3

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BrtAbsPath15`
    `BrtBeginCellStyleXFS`
    `BrtBeginCellXFs`
    `BrtBeginComment`
    `BrtBeginCommentAuthors`
    `BrtBeginFmts`
    `BrtBeginHeaderFooter`
    `BrtBeginSheet`
    `BrtBeginSheetData`
    `BrtBeginSst`
    `BrtBundleSh`
    `BrtCellBlank`
    `BrtCellBool`
    `BrtCellError`
    `BrtCellIsst`
    `BrtCellReal`
    `BrtCellRk`
    `BrtCellRString`
    `BrtCellSt`
    `BrtColInfo`
    `BrtCommentAuthor`
    `BrtCommentText`
    `BrtEndCellStyleXFS`
    `BrtEndCellXFs`
    `BrtEndComment`
    `BrtEndCommentAuthors`
    `BrtEndFmts`
    `BrtEndSheetData`
    `BrtEndSst`
    `BrtFmlaBool`
    `BrtFmlaError`
    `BrtFmlaNum`
    `BrtFmlaString`
    `BrtFmt`
    `BrtHLink`
    `BrtRowHdr`
    `BrtSstItem`
    `BrtWsDim`
    `BrtWsProp`
    `BrtXf`
    `Unimplemented`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()`
    `static XSSFBRecordType` | `lookup(int id)`
    `static XSSFBRecordType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static XSSFBRecordType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BrtCellBlank

          public static final XSSFBRecordType BrtCellBlank

    - #### BrtCellRk

          public static final XSSFBRecordType BrtCellRk

    - #### BrtCellError

          public static final XSSFBRecordType BrtCellError

    - #### BrtCellBool

          public static final XSSFBRecordType BrtCellBool

    - #### BrtCellReal

          public static final XSSFBRecordType BrtCellReal

    - #### BrtCellSt

          public static final XSSFBRecordType BrtCellSt

    - #### BrtCellIsst

          public static final XSSFBRecordType BrtCellIsst

    - #### BrtFmlaString

          public static final XSSFBRecordType BrtFmlaString

    - #### BrtFmlaNum

          public static final XSSFBRecordType BrtFmlaNum

    - #### BrtFmlaBool

          public static final XSSFBRecordType BrtFmlaBool

    - #### BrtFmlaError

          public static final XSSFBRecordType BrtFmlaError

    - #### BrtRowHdr

          public static final XSSFBRecordType BrtRowHdr

    - #### BrtCellRString

          public static final XSSFBRecordType BrtCellRString

    - #### BrtBeginSheet

          public static final XSSFBRecordType BrtBeginSheet

    - #### BrtWsProp

          public static final XSSFBRecordType BrtWsProp

    - #### BrtWsDim

          public static final XSSFBRecordType BrtWsDim

    - #### BrtColInfo

          public static final XSSFBRecordType BrtColInfo

    - #### BrtBeginSheetData

          public static final XSSFBRecordType BrtBeginSheetData

    - #### BrtEndSheetData

          public static final XSSFBRecordType BrtEndSheetData

    - #### BrtHLink

          public static final XSSFBRecordType BrtHLink

    - #### BrtBeginHeaderFooter

          public static final XSSFBRecordType BrtBeginHeaderFooter

    - #### BrtBeginCommentAuthors

          public static final XSSFBRecordType BrtBeginCommentAuthors

    - #### BrtEndCommentAuthors

          public static final XSSFBRecordType BrtEndCommentAuthors

    - #### BrtCommentAuthor

          public static final XSSFBRecordType BrtCommentAuthor

    - #### BrtBeginComment

          public static final XSSFBRecordType BrtBeginComment

    - #### BrtCommentText

          public static final XSSFBRecordType BrtCommentText

    - #### BrtEndComment

          public static final XSSFBRecordType BrtEndComment

    - #### BrtXf

          public static final XSSFBRecordType BrtXf

    - #### BrtFmt

          public static final XSSFBRecordType BrtFmt

    - #### BrtBeginFmts

          public static final XSSFBRecordType BrtBeginFmts

    - #### BrtEndFmts

          public static final XSSFBRecordType BrtEndFmts

    - #### BrtBeginCellXFs

          public static final XSSFBRecordType BrtBeginCellXFs

    - #### BrtEndCellXFs

          public static final XSSFBRecordType BrtEndCellXFs

    - #### BrtBeginCellStyleXFS

          public static final XSSFBRecordType BrtBeginCellStyleXFS

    - #### BrtEndCellStyleXFS

          public static final XSSFBRecordType BrtEndCellStyleXFS

    - #### BrtSstItem

          public static final XSSFBRecordType BrtSstItem

    - #### BrtBeginSst

          public static final XSSFBRecordType BrtBeginSst

    - #### BrtEndSst

          public static final XSSFBRecordType BrtEndSst

    - #### BrtBundleSh

          public static final XSSFBRecordType BrtBundleSh

    - #### BrtAbsPath15

          public static final XSSFBRecordType BrtAbsPath15

    - #### Unimplemented

          public static final XSSFBRecordType Unimplemented

  - ### Method Detail

    - #### values

          public static XSSFBRecordType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XSSFBRecordType c : XSSFBRecordType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XSSFBRecordType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getId

          public int getId()

    - #### lookup

          public static XSSFBRecordType lookup(int id)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.